Bug 1272953 - QA:Testcase install repository HTTP/FTP variation failed for ppc64 and f23 TC1
QA:Testcase install repository HTTP/FTP variation failed for ppc64 and f23 TC1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 05:56 EDT by Menanteau Guy
Modified: 2015-10-23 09:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 09:01:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen log capture (50.54 KB, text/plain)
2015-10-19 05:56 EDT, Menanteau Guy
no flags Details

  None (edit)
Description Menanteau Guy 2015-10-19 05:56:01 EDT
Created attachment 1084316 [details]
screen log capture

install f23 TC1 on ppc64 and ppc64le failed when using grub command with inst.repo  

I am using VM machines and run following command on grub (for ppc64):
linux /ppc/ppc64/vmlinuz inst.repo=http://ppc.koji.fedoraproject.org/compose/23_TC1/23_TC1/Server/ppc64/os/ ip=:::::eth0:dhcp;
initrd /ppc/ppc64/initrd.img;
boot

Installation start but got a "localhost dracut-initqueue[572]: Warning: Could not boot." at the end.

I was not able to get the /run/initramfs/rdsosreport.txt so I capture screen thru
a script command but I am not sure all screen lines have been catched.
Comment 1 Menanteau Guy 2015-10-19 10:09:51 EDT
problem seems triggered by the ip setting.
ip=:::::eth0:dhcp
 
Following command (without ip setting) works fine and install go to the end:
linux /ppc/ppc64/vmlinuz inst.repo=http://ppc.koji.fedoraproject.org/compose/23_TC1/23_TC1/Server/ppc64/os/;
initrd /ppc/ppc64/initrd.img;
boot

note that with same VM (and same network), installing a f22 in same condition works fine with the "ip=:::::eth0:dhcp" set in the grub command.
Comment 2 Peter Robinson 2015-10-20 06:09:18 EDT
Is it a new clean virtual disk or is there already an installation there? I've seen this before when there's been an incorrect command using a kickstart and it tries to do an upgrade
Comment 3 Menanteau Guy 2015-10-23 09:01:18 EDT
I found that ip interface defined in VM machine before install is not eth0 but enp0s0. I am not sure what have changed but using now ip=:::::enp0s0:dhcp;(or even ip=::::::dhcp) instead of ip=:::::eth0:dhcp; works fine.
Based on this, I assume my problem was a user problem and I close this bug.

Note You need to log in before you can comment on or make changes to this bug.